﻿<UserControl x:Class="UniversityofWashington.ContractInserter.ContractTreeListView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:tree="clr-namespace:Aga.Controls.Tree;assembly=Aga.Controls"
             xmlns:local="clr-namespace:UniversityofWashington.ContractInserter"         
             mc:Ignorable="d" 
             d:DesignHeight="300" d:DesignWidth="300">
    <Grid>
        <Grid.Resources>
            <ResourceDictionary>
                <BooleanToVisibilityConverter x:Key="boolToVisibilityConverter" />

                <local:ValueConverterGroup x:Key="negateBoolToVisibilityConverter">
                    <local:BooleanNegationConverter/>
                    <BooleanToVisibilityConverter/>
                </local:ValueConverterGroup>
                <ResourceDictionary.MergedDictionaries>
                    <!-- Include TreeStyles.xaml so we have access to the TreeListItemNodeStyle styling. -->
                    <ResourceDictionary Source="TreeStyles.xaml" />
                </ResourceDictionary.MergedDictionaries>
            </ResourceDictionary>
        </Grid.Resources>
        
        <!-- Define the tree list view. -->
        <tree:TreeList Name="_treeList" Model="{Binding .}" Width="Auto" Height="Auto" ItemContainerStyle="{StaticResource TreeListItemNodeStyle}">
            <tree:TreeList.ItemTemplate>
                <DataTemplate>
                    <StackPanel Orientation="Horizontal" Visibility="{Binding IsVisible, Converter={StaticResource boolToVisibilityConverter}}">
                        <tree:RowExpander Margin="0,0,0,0"/>
                        <CheckBox Visibility="{Binding Path=IsExpandable, Converter={StaticResource negateBoolToVisibilityConverter}}"
                                  IsChecked="{Binding Path=IsChecked, Mode=TwoWay}"
                                  MouseEnter="HighlightOnMouseEnter"
                                  MouseLeave="UnhighlightOnMouseLeave"
                                  Margin="0,0,5,0"/>
                        <Border Focusable="True" BorderThickness="{TemplateBinding Border.BorderThickness}" 
								    Padding="{TemplateBinding Control.Padding}" 
								    BorderBrush="{TemplateBinding Border.BorderBrush}" 
								    Background="{TemplateBinding Panel.Background}" 
								    Name="Bd" 
								    SnapsToDevicePixels="True">
                            <TextBlock Text="{Binding DisplayText}" 
                                       Background="{Binding BackgroundColor}" 
                                       MouseEnter="HighlightOnMouseEnter" 
                                       MouseLeave="UnhighlightOnMouseLeave"
                                       MouseRightButtonDown="TextBlock_MouseRightButtonDown_1" />
                        </Border>
                    </StackPanel>
                    <!--
                    <DataTemplate.Triggers>
                        <DataTrigger Binding="{Binding IsSelected, RelativeSource={RelativeSource AncestorType={x:Type tree:TreeListItem}}}" Value="True">
                            <Setter Property="Background" TargetName="Bd">
                                <Setter.Value>
                                    <DynamicResource ResourceKey="{x:Static SystemColors.HighlightBrushKey}" />
                                </Setter.Value>
                            </Setter>
                            <Setter Property="TextElement.Foreground">
                                <Setter.Value>
                                    <DynamicResource ResourceKey="{x:Static SystemColors.HighlightTextBrushKey}" />
                                </Setter.Value>
                            </Setter>
                        </DataTrigger>                     
                    </DataTemplate.Triggers>
                    -->
                </DataTemplate>
            </tree:TreeList.ItemTemplate>
        </tree:TreeList>
    </Grid>
</UserControl>
